> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-zh/sdk/domains-api/wen-jian/file.openpdfviewer.md).

# File.openPDFViewer

> 函数式 API `openPDFViewer`也能用它实现相同功能。

### 功能说明

将 Base64 编码的 PDF 数据在原生 PDF 查看器中打开。用户关闭查看器时 `'CLOSE'`会返回。

Toss App Android/iOS `5.261.0` 可在以上版本中使用。调用前 `File.openPDFViewer.isSupported()`可以通过它确认是否支持。在不支持的版本中调用时 `UNSUPPORTED_APP_VERSION` 会发生错误。

### 类型

```ts
File.openPDFViewer(params: OpenPDFViewerParams): Promise<OpenPDFViewerResult>;
```

**参数**

```ts
type OpenPDFViewerParams = {
  data: string;
  filename?: string;
};
```

**响应**

```ts
type OpenPDFViewerResult = "CLOSE";
```

### 错误代码

错误代码是 catch 到的错误的 `error.code` 值。

| 代码                        | 说明                                                                                                                |
| ------------------------- | ----------------------------------------------------------------------------------------------------------------- |
| `UNSUPPORTED_APP_VERSION` | 如果当前运行的 Toss App 版本不支持此功能，则调用后会立即发生。 `File.openPDFViewer.isSupported()`请先通过它确认，发生时 `error.message`请向用户显示（更新提示文案）。 |
| `INVALID_REQUEST`         | 请求参数不正确的情况。                                                                                                       |
| `INVALID_DATA`            | 当 PDF 数据无效时。                                                                                                      |
| `PDF_VIEWER_ERROR`        | 在打开 PDF 查看器的过程中发生错误时。                                                                                             |

### 示例代码

```js
import { File } from "@apps-in-toss/web-framework";

async function handleOpenPdf() {
  if (!File.openPDFViewer.isSupported()) {
    console.log("当前 Toss App 版本无法使用 PDF 查看器。");
    return;
  }

  try {
    const result = await File.openPDFViewer({
      data: "JVBERi0xLjQK...",
      filename: "document.pdf",
    });

    if (result === "CLOSE") {
      console.log("PDF 查看器已关闭。");
    }
  } catch (error) {
    console.error("PDF 查看器错误:", error);
  }
}

document.querySelector("#open-pdf").addEventListener("click", handleOpenPdf);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-zh/sdk/domains-api/wen-jian/file.openpdfviewer.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
